## ros-kinetic-igvc-self-drive-gazebo-plugins 0.1.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(igvc_self_drive_gazebo_plugins)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  tf
  gazebo_ros
  dynamic_reconfigure
)

set(CMAKE_CXX_FLAGS "-std=c++11 ${CMAKE_CXX_FLAGS}")

find_package(gazebo REQUIRED)
link_directories(${GAZEBO_LIBRARY_DIRS})

generate_dynamic_reconfigure_options(
  cfg/GazeboCam.cfg
)

catkin_package(
  LIBRARIES
    ${PROJECT_NAME}_cam
    ${PROJECT_NAME}_vehicle
)

include_directories(
  ${catkin_INCLUDE_DIRS}
  ${GAZEBO_INCLUDE_DIRS}
)

add_library(${PROJECT_NAME}_vehicle
  src/GemInterfacePlugin.cpp
)
target_link_libraries(${PROJECT_NAME}_vehicle
  ${catkin_LIBRARIES}
  ${GAZEBO_LIBRARIES}
)

add_library(${PROJECT_NAME}_cam
  src/GazeboCamControl.cpp
)
add_dependencies(${PROJECT_NAME}_cam
  ${PROJECT_NAME}_gencfg
)
target_link_libraries(${PROJECT_NAME}_cam
  ${catkin_LIBRARIES}
  ${GAZEBO_LIBRARIES}
)

# Gazebo plugins
install(
  TARGETS
    ${PROJECT_NAME}_cam
    ${PROJECT_NAME}_vehicle
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

if (CATKIN_ENABLE_TESTING)
  add_subdirectory(tests)
endif()

=== tests/CMakeLists.txt ===
find_package(roslaunch REQUIRED)
find_package(rostest REQUIRED)

add_rostest(gazebo_tests.test)

=== debian/changelog ===
ros-kinetic-igvc-self-drive-gazebo-plugins (0.1.4-1xenial) xenial; urgency=high

  * Restructured tests to avoid deleting Gazebo model
  * Contributors: Micho Radovnikovich

 -- Micho Radovnikovich <mtradovn@oakland.edu>  Sat, 06 Oct 2018 04:00:00 -0000

ros-kinetic-igvc-self-drive-gazebo-plugins (0.1.3-1xenial) xenial; urgency=high

  * Changed Gazebo connection event type to sync camera with physics updates
  * Contributors: Micho Radovnikovich

 -- Micho Radovnikovich <mtradovn@oakland.edu>  Sat, 06 Oct 2018 04:00:00 -0000

ros-kinetic-igvc-self-drive-gazebo-plugins (0.1.2-1xenial) xenial; urgency=high

  * Adjusted rostest timeouts for pre-release tests
  * Contributors: Micho Radovnikovich

 -- Micho Radovnikovich <mtradovn@oakland.edu>  Sat, 06 Oct 2018 04:00:00 -0000

ros-kinetic-igvc-self-drive-gazebo-plugins (0.1.1-1xenial) xenial; urgency=high



 -- Micho Radovnikovich <mtradovn@oakland.edu>  Sat, 06 Oct 2018 04:00:00 -0000

ros-kinetic-igvc-self-drive-gazebo-plugins (0.1.0-1xenial) xenial; urgency=high

  * Migrated existing simulator into new repository
  * Contributors: Micho Radovnikovich

 -- Micho Radovnikovich <mtradovn@oakland.edu>  Sat, 29 Sep 2018 04:00:00 -0000

=== debian/control ===
Source: ros-kinetic-igvc-self-drive-gazebo-plugins
Section: misc
Priority: extra
Maintainer: Micho Radovnikovich <mtradovn@oakland.edu>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-dynamic-reconfigure, ros-kinetic-gazebo-ros, ros-kinetic-roscpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-igvc-self-drive-gazebo-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-dynamic-reconfigure, ros-kinetic-gazebo-ros, ros-kinetic-gazebo-ros-pkgs, ros-kinetic-hector-gazebo-plugins, ros-kinetic-hector-models, ros-kinetic-robot-state-publisher, ros-kinetic-roscpp
Description: Gazebo plugins for IGVC Self-Drive simulator

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-igvc-self-drive-gazebo-plugins//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
